﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;
using System.IO;

namespace WpfFileTest
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            if (myControl.OpenFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                using (StreamReader sr = new StreamReader(myControl.OpenFileDialog1.FileName))
                {
                    String FirstLine = sr.ReadLine();
                    String AllLine = FirstLine + "\r\n" + sr.ReadToEnd();

                    System.Windows.Forms.MessageBox.Show(FirstLine, "TEST", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);

                    if (myControl.SaveFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        using (StreamWriter outfile = new StreamWriter(myControl.SaveFileDialog1.FileName))
                        {
                            outfile.Write(AllLine);
                        }
                    }
                }
            }
        }
    }
}
